Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members

# SoMFBitMask Class Reference
[Field classes]

The SoMFBitMask class is a container for a set of bitmasks. More...

`#include <Inventor/fields/SoMFBitMask.h>`

Inheritance diagram for SoMFBitMask:

List of all members.

## Static Public Methods
void | initClass (void)

## Detailed Description

The SoMFBitMask class is a container for a set of bitmasks.

This field is used where nodes, engines or other field containers needs to store multiple bitmasks with values from an enumerated set.

See also:
  SoSFBitMask

## Member Function Documentation

void SoMFBitMask::initClass | ( | void |  | ) | `[static]`

| Internal method called upon initialization of the library (from SoDB::init()) to set up the type system. Reimplemented from SoMFEnum.

The documentation for this class was generated from the following files:

- SoMFBitMask.h
- SoMFBitMask.cpp